apt 3.2.0 commandline package manager

Public Member Functions | List of all members
pkgCache::SrcVerIterator Class Reference
Inheritance diagram for pkgCache::SrcVerIterator:

## Public Member Functions
constexpr SourceVersion * | OwnerPointer () const noexcept
constexpr APT_PURE GrpIterator | Group () const noexcept
constexpr const char * | VerStr () const noexcept
constexpr | SrcVerIterator (pkgCache &Owner, SourceVersion *Trg=0) noexcept
Public Member Functions inherited from pkgCache::Iterator< SourceVersion, SrcVerIterator >
constexpr bool | end () const noexcept
constexpr bool | operator== (const SrcVerIterator &B) const noexcept
constexpr bool | operator!= (const SrcVerIterator &B) const noexcept
constexpr SourceVersion * | operator-> () noexcept
constexpr | operator SourceVersion * () noexcept
constexpr | operator SourceVersion const * () const noexcept
constexpr SourceVersion & | operator* () noexcept
constexpr pkgCache * | Cache () const noexcept
constexpr bool | IsGood () const noexcept
constexpr unsigned long | Index () const noexcept
constexpr map_pointer< SourceVersion > | MapPointer () const noexcept
void | ReMap (void const *const oldMap, void *const newMap)

## Additional Inherited Members
Public Types inherited from pkgCache::Iterator< SourceVersion, SrcVerIterator >
using | iterator_category
using | value_type
using | difference_type
using | pointer
using | reference
Protected Attributes inherited from pkgCache::Iterator< SourceVersion, SrcVerIterator >
SourceVersion * | S
pkgCache * | Owner

The documentation for this class was generated from the following file:

- apt-pkg/cacheiterators.h